[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[PATCH 2/6] iotests: Skip test 079 if it is not possible to create large
From: |
Thomas Huth |
Subject: |
[PATCH 2/6] iotests: Skip test 079 if it is not possible to create large files |
Date: |
Tue, 19 Nov 2019 18:08:17 +0100 |
Test 079 fails in the arm64, s390x and ppc64le LXD containers, which
apparently do not allow large files to be created. Test 079 tries to
create a 4G sparse file, so check first whether we can really create
such files before executing the test.
Signed-off-by: Thomas Huth <address@hidden>
---
tests/qemu-iotests/079 | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/tests/qemu-iotests/079 b/tests/qemu-iotests/079
index 81f0c21f53..e9b81419b7 100755
--- a/tests/qemu-iotests/079
+++ b/tests/qemu-iotests/079
@@ -39,6 +39,12 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
_supported_fmt qcow2
_supported_proto file nfs
+# Some containers (e.g. non-x86 on Travis) do not allow large files
+if ! truncate --size=4G "$TEST_IMG"; then
+ _notrun "file system on $TEST_DIR does not support large enough files"
+fi
+rm "$TEST_IMG"
+
echo "=== Check option preallocation and cluster_size ==="
echo
cluster_sizes="16384 32768 65536 131072 262144 524288 1048576 2097152 4194304"
--
2.23.0
Re: [PATCH 2/6] iotests: Skip test 079 if it is not possible to create large files, Alex Bennée, 2019/11/22
[PATCH 3/6] tests/hd-geo-test: Skip test when images can not be created, Thomas Huth, 2019/11/19
[PATCH 4/6] tests/test-util-filemonitor: Skip test on non-x86 Travis containers, Thomas Huth, 2019/11/19